namespace Netina.Domain.Entities.Users;

public partial class UserAddress
{
    public static UserAddress Create(string address, string postalCode, string receiverFullName,
        string receiverPhoneNumber, float locationLat, float locationLong, string province, string city, string plaque,
        string buildingUnit, Guid userId)
    {
        return new UserAddress(address, postalCode, receiverFullName, receiverPhoneNumber,
            locationLat, locationLong, province, city, plaque, buildingUnit,
            userId);
    }
}

public partial class NewsletterMember
{
    public static NewsletterMember Create(string phoneNumber, string email)
    {
        return new NewsletterMember(phoneNumber, email);
    }
}